Subject: Re: [patch 2/9] autoselect optimal -mcpu= flag by platform

From: Segher Boessenkool <[email-masked]>
Date: Sun, 17 Jun 2007 19:46:14 +0200

>> Is there a reason we don't distinguish between 7400/7410 and 74{4,5}
>> x?  Is it because we dont have any discrete systems with just a 7400
>> on it?
>
> No, I just didn't know that there was a difference. I had looked at the
> gcc source and found that gcc produces the same instruction for both,
> but I didn't bother to look at the optimizations. From all I can
> tell, -mcpu=7400 is identical to -mcpu=7450 -mtune=750.

7400 is pretty much like a 750 + AltiVec and a few deeper
queues.  The "FP full" stall is also gone IIRC, or maybe
that was not before the 7450.  Nothing that GCC knows how
to model, anyway.

>> Also I'd suggest we have the config options be a 1:1 matching for the
>> -mcpu/-mtune options in gcc for the following cases:
>>
>>> +	default "-mcpu=750" if CPU_7xx
>>> +	default "-mcpu=7450" if CPU_74xx
>>> +	default "-mcpu=860" if PPC_8xx
>>> +	default "-mcpu=8540" if PPC_85xx
>>
>> So if in the future we have code scheduling for 8599 or some other
>> variant we don't have to go change the Kconfig just add to it.
>
> I'm not sure I understand what you would like to see this, would you
> like them to be simply renamed to CPU_750/CPU_7450/CPU_860/CPU_8540
> or rather add more options for 740/801/821/823/8548, which are
> treated as aliases of the others?

GCC treats many of those as aliases, too.

Segher